Bug 82804 - unreal engine 4 rendering errors
Summary: unreal engine 4 rendering errors
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: Jason Ekstrand
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-08-19 08:07 UTC by Tapani Pälli
Modified: 2014-09-04 05:03 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
correct output (292.06 KB, image/jpeg)
2014-08-19 08:08 UTC, Tapani Pälli
Details
rendering errors (209.22 KB, image/jpeg)
2014-08-19 08:09 UTC, Tapani Pälli
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tapani Pälli 2014-08-19 08:07:22 UTC
UE4 demos used to render fine but now with current master there are errors. Attaching screenshots ...
Comment 1 Tapani Pälli 2014-08-19 08:08:57 UTC
Created attachment 104869 [details]
correct output

correct rendering of floor tiles
Comment 2 Tapani Pälli 2014-08-19 08:09:30 UTC
Created attachment 104870 [details]
rendering errors
Comment 3 Tapani Pälli 2014-08-19 08:49:45 UTC
These errors happened on Ivybridge laptop and screenshots were taken from "Mobile Temple" available here:

https://wiki.unrealengine.com/Linux_Demos

will try to bisect ..
Comment 4 Tapani Pälli 2014-08-19 11:31:17 UTC
This is really a pain to bisect, there are likely several issues around. However for this one, last good commit is 8ad7c19. Looks like something in the ARB_copy_image series seems to cause things to fail, or maybe UE4 is a user for the extension.

--- 8< ---
commit 410fea8dd9cc0b1b500477a8b6f68c950f7c895a
Author: Jason Ekstrand <jason.ekstrand@intel.com>
Date:   Fri Jun 27 16:05:37 2014 -0700

    i965: Add support for ARB_copy_image
    
    This, together with the meta path, provides a complete implemetation of
    ARB_copy_image.
    
    v2: Add a fallback memcpy path for when the texture is too big for the
        blitter
    v3: Properly support copying between two places on the same texture in the
        memcpy fallback
    v4: Properly handle blit between the same two images in the fallback path
    v5: Properly handle blit between the same two compressed images in the
        fallback path
    v6: Fix a typo in a comment
    
    Signed-off-by: Jason Ekstrand <jason.ekstrand@intel.com>
    Reviewed-by: Neil Roberts <neil@linux.intel.com>
Comment 5 Jason Ekstrand 2014-08-19 16:37:37 UTC
Not sure where you dug that old e-mail address up from.  Haven't recieved anything useful there in years.  Re-assigning to my active account.
Comment 6 Tapani Pälli 2014-08-20 04:45:18 UTC
(In reply to comment #5)
> Not sure where you dug that old e-mail address up from.  Haven't recieved
> anything useful there in years.  Re-assigning to my active account.

Sorry, that's what bugzilla had when I searched you in the 'Assigned to' field. Will use the new one from now on. Let me know if you need some help with this, I can try to debug as well.
Comment 7 Jason Ekstrand 2014-09-02 22:52:49 UTC
Should be fixed by this series:

http://lists.freedesktop.org/archives/mesa-dev/2014-September/067081.html
Comment 8 Tapani Pälli 2014-09-04 05:03:01 UTC
fixed!


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct.